Debian Bug report logs - #293805
ITA: prcs -- The Project Revision Control System

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Rafael Laboissiere <rafael@debian.org>

Date: Sat, 5 Feb 2005 22:03:06 UTC

Owned by: Romain Francoise <rfrancoise@debian.org>

Severity: normal

Fixed in version prcs/1.3.3-5

Done: Romain Francoise <rfrancoise@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, prcs-list@lists.xcf.berkeley.edu, <wnpp@debian.org>:
Bug#293805; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@debian.org>:
New Bug report received and forwarded. Copy sent to prcs-list@lists.xcf.berkeley.edu, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: prcs -- The Project Revision Control System
Date: Sat, 5 Feb 2005 22:52:10 +0100
Package: wnpp
Severity: normal


I intend to orphan the prcs package.

The package description is:
 PRCS, the Project Revision Control System, is the front end to a set
 of tools that (like CVS) provide a way to deal with sets of files and
 directories as an entity, preserving coherent versions of the entire
 set.
 .
 Its purpose is similar to that of SCCS, RCS, and CVS, but (according
 to its authors, at least), it is much simpler than any of those
 systems.
 .
 Emacs-Lisp support is distributed in a separate package, prcs-el.  Another
 package called prcs-synch contains a tool to synchronize PRCS projects
 between repositories, both locally and remotely.
 .
 Homepage: http://prcs.sourceforge.net

This package is practically dead upstream, even if its author claims that he
still intend to work on it.  I have dreamed for a long time of PRCS
replacing CVS worldwide, which could have happened if PRCS2 would have come
out. Instead of keeping waiting for that, I converted myself to Subversion
and I must confess that I have no intention to use PRCS anymore.  It is too
bad, because PRCS is a very well written piece of software.  Unfortunately,
it is becoming a museum item.

Under these circumstances it makes no sense for me to keep the maintainance
of the Debian package.  For those distressed about losing PRCS forever, I
added a present in my last upload (version 1.3.3-3): a script, called
prcs2svn, which converts a PRCS project in a Subversion repository. It is
not perfect, but allows to store the history of your projects under PRCS
control in a SVN repository.  I also contributed it to the prcs project at
SourceForge (but I am afraid it will never be released...).  You can find
the script either in the Debian package or at:

    http://cvs.sourceforge.net/viewcvs.py/prcs/prcs1/prcs1/contrib/prcs2svn/

The binary Debian packages being orphaned are the following:

    prcs
    prcs-el
    prcs-synch
    prcs-utils
    prcs-visualtree
    
They are lintian-clean, apart a warning regarding CVS directories in the
source tarball.  There is a substantial amount of bug reports filled against
the packages: 8 for prcs, 2 for prcs-el, and 2 for prcs-utils, and 1 for
prcs-synch.  11 of them are tagged upstream and one relates to FTBFS on
am64d using gcc 4.0 (there is a patch for it).  Only one bug against prcs-el
is pure-Debian.

I was very pleased in maintaining the prcs package over 6 years.  I wish
good luck to the next maintainer!


-- System Information:
Debian Release: 3.1
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Kernel: Linux 2.6.8-1-686
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#293805; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Donovan Baarda" <abo@minkirri.apana.org.au>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 293805@bugs.debian.org (full text, mbox):

From: "Donovan Baarda" <abo@minkirri.apana.org.au>
To: "Rafael Laboissiere" <rafael@debian.org>, 293805@bugs.debian.org
Subject: Re: [Prcs-list] Bug#293805: O: prcs -- The Project Revision Control System
Date: Mon, 7 Feb 2005 06:06:44 +1100 (EST)
G'day rafael,

On Sun, February 6, 2005 8:52 am, Rafael Laboissiere said:
> I intend to orphan the prcs package.
[...]

Please don't, or can someone else please adopt it.

> This package is practically dead upstream, even if its author claims that
> he
> still intend to work on it.  I have dreamed for a long time of PRCS

Another way to describe it is "prcs is stable and reliable". There have
been no changes to prcs for a long time because it does exactly what it
claims with no serious bugs. IMHO this is the most important thing for a
CM system.

I know there _are_ bugs reported against prcs, but I have never hit any of
them, and after reading through them it seems they are either minor (easy
workarounds) or obscure.

If it makes any difference, I would be willing to tackle reported bugs and
submit patches. The only reason I haven't yet is I've never hit any.

> replacing CVS worldwide, which could have happened if PRCS2 would have
> come
> out. Instead of keeping waiting for that, I converted myself to Subversion
> and I must confess that I have no intention to use PRCS anymore.  It is
> too
> bad, because PRCS is a very well written piece of software.
> Unfortunately,
> it is becoming a museum item.
[...]

There are still some things that prcs does much better than svn. In
particular, branch/merge is badly broken in snv when compared to prcs. The
branch/merge in prcs is so good I use it as a branch/merge tool for other
revision control systems (including svn and cvs) by mirroring the upstream
repository in a local prcs repository. I can then have as many "feature"
or "experiment" branches as I want in the local repository, branching and
merging to my heart's content, before commiting the desired combinations
upstream.

I also use prcs selectively as a backup tool. The compact RCS "delta"
storage of prcs is much more efficient than svn's "directory per branch".
I use it to revision control and backup the /etc/ directory on all my
machines. I use one project with each machine as a different branch.
Changes made to one machine can then be easily merged into other machines
as I want.

> Under these circumstances it makes no sense for me to keep the
> maintainance
> of the Debian package.  For those distressed about losing PRCS forever, I
> added a present in my last upload (version 1.3.3-3): a script, called
> prcs2svn, which converts a PRCS project in a Subversion repository. It is
> not perfect, but allows to store the history of your projects under PRCS
> control in a SVN repository.  I also contributed it to the prcs project at
> SourceForge (but I am afraid it will never be released...).  You can find
> the script either in the Debian package or at:

I note that you are listed as a developer for prcs on the SF project. I
don't know what permissions you have, but you are probably in a position
to fix bugs and release new versions upstream yourself. If you are serious
about abandoning it, then perhaps you could add me as a developer and I
could do some stuff?

I know jmacd has been silent for years (working on other paid stuff I
believe), but that gives everyone an excuse to step in and take over. He
who does it, gets to decide how it gets done. Someone doing it badly is
better than no-one doing it at all. The best way to get lots of good
contributions is to make a few bad ones.

> I was very pleased in maintaining the prcs package over 6 years.  I wish
> good luck to the next maintainer!

Thanks for all the work... I have been really appreciating it.

-- 
Donovan Baarda <abo@minkirri.apana.org.au>
http://minkirri.apana.org.au/~abo/






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#293805; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 293805@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: Donovan Baarda <abo@minkirri.apana.org.au>
Cc: 293805@bugs.debian.org
Subject: Re: [Prcs-list] Bug#293805: O: prcs -- The Project Revision Control System
Date: Mon, 7 Feb 2005 00:22:11 +0100
* Donovan Baarda <abo@minkirri.apana.org.au> [2005-02-07 06:06]:

> On Sun, February 6, 2005 8:52 am, Rafael Laboissiere said:
> > I intend to orphan the prcs package.
> [...]
> 
> Please don't, or can someone else please adopt it.

It's too late, I have already taken the decision and the package is de facto
orphaned.  However, if nobody steps in, I am willing to fix critical
problems in the package by doing non-maintainer uploads.  I would though
really prefer that someone else volunteers as a new maintainer.

> If it makes any difference, I would be willing to tackle reported bugs and
> submit patches. The only reason I haven't yet is I've never hit any.
> 
> [...]
>
> I note that you are listed as a developer for prcs on the SF project. I
> don't know what permissions you have, but you are probably in a position
> to fix bugs and release new versions upstream yourself. If you are serious
> about abandoning it, then perhaps you could add me as a developer and I
> could do some stuff?
> 
> I know jmacd has been silent for years (working on other paid stuff I
> believe), but that gives everyone an excuse to step in and take over. He
> who does it, gets to decide how it gets done. Someone doing it badly is
> better than no-one doing it at all. The best way to get lots of good
> contributions is to make a few bad ones.

If you are willing to take over PRCS, I think that it is a good idea.  If
you fix bugs and make new releases, I do not see why jmacd would disagree.
Unfortunately, I cannot add you as a developer of the prcs project at SF.
Jmacd is the only project admin.  I am afraid we are out of hope here, as
regards getting in touch with Josh...

OTOH, as regards the Debian package, if you think you can adopt it, I would
gladly sponsor your contributions.

-- 
Rafael



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#293805; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Romain Francoise <rfrancoise@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 293805@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: Rafael Laboissiere <rafael@debian.org>
Cc: Donovan Baarda <abo@minkirri.apana.org.au>, 293805@bugs.debian.org
Subject: Re: Bug#293805: O: prcs -- The Project Revision Control System
Date: Thu, 19 May 2005 08:35:41 +0200
Rafael Laboissiere <rafael@debian.org> writes:

> However, if nobody steps in, I am willing to fix critical problems in
> the package by doing non-maintainer uploads.  I would though really
> prefer that someone else volunteers as a new maintainer.

There seems to be interest in the package still, so it would be a bad
move to remove it from Debian (which will happen eventually if no one
adopts it) .  I maintain RCS, I can take PRCS along with it if you want,
I don't use it myself but that shouldn't be too much of a problem.

-- 
  ,''`.
 : :' :        Romain Francoise <rfrancoise@debian.org>
 `. `'         http://people.debian.org/~rfrancoise/
   `-



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#293805; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Donovan Baarda <abo@minkirri.apana.org.au>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 293805@bugs.debian.org (full text, mbox):

From: Donovan Baarda <abo@minkirri.apana.org.au>
To: Romain Francoise <rfrancoise@debian.org>
Cc: Rafael Laboissiere <rafael@debian.org>, 293805@bugs.debian.org
Subject: Re: Bug#293805: O: prcs -- The Project Revision Control System
Date: Thu, 19 May 2005 09:59:44 +0100
Romain Francoise wrote:
> Rafael Laboissiere <rafael@debian.org> writes:
> 
> 
>>However, if nobody steps in, I am willing to fix critical problems in
>>the package by doing non-maintainer uploads.  I would though really
>>prefer that someone else volunteers as a new maintainer.

I dunno if this was a new package maintainer, or an upstream maintainer. 
 I was volenteering to be an upstream maintainer, but due to personal 
things I need to get out of the way (relocating from Melbourne to 
Dublin), I haven't chased it up yet.

I am still keen to help support it upstream, but it will probably be a 
couple of months before I can do anything.

> There seems to be interest in the package still, so it would be a bad
> move to remove it from Debian (which will happen eventually if no one
> adopts it) .  I maintain RCS, I can take PRCS along with it if you want,
> I don't use it myself but that shouldn't be too much of a problem.

Yes please! I am not a DD, so I can't do the packaging stuff. Feel free 
to email me if you need any help, but I can't promise rapid responses, 
at least for a couple of months.

--
Donovan Baarda



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#293805; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Romain Francoise <rfrancoise@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 293805@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: 293805@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#293805: O: prcs -- The Project Revision Control System
Date: Thu, 19 May 2005 11:57:57 +0200
retitle 293805 ITA: prcs -- The Project Revision Control System
owner 293805 !
thanks

I'm adopting this package, I'll upload updated packages as soon as sarge
is released (buildd time being somewhat precious in the meantime).

-- 
  ,''`.
 : :' :        Romain Francoise <rfrancoise@debian.org>
 `. `'         http://people.debian.org/~rfrancoise/
   `-



Changed Bug title. Request was from Romain Francoise <rfrancoise@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Romain Francoise <rfrancoise@debian.org>. Request was from Romain Francoise <rfrancoise@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Romain Francoise <rfrancoise@debian.org>:
Bug#293805; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Romain Francoise <rfrancoise@debian.org>. Full text and rfc822 format available.

Message #39 received at 293805@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: Donovan Baarda <abo@minkirri.apana.org.au>
Cc: Romain Francoise <rfrancoise@debian.org>, 293805@bugs.debian.org
Subject: Re: Bug#293805: O: prcs -- The Project Revision Control System
Date: Thu, 19 May 2005 16:26:11 +0200
* Donovan Baarda <abo@minkirri.apana.org.au> [2005-05-19 09:59]:

> I dunno if this was a new package maintainer, or an upstream maintainer. 
>  I was volenteering to be an upstream maintainer, but due to personal 
> things I need to get out of the way (relocating from Melbourne to 
> Dublin), I haven't chased it up yet.
> 
> I am still keen to help support it upstream, but it will probably be a 
> couple of months before I can do anything.

Please, get in touch with Josh MacDonald, the upstream author.  Notice
that he has not been very responsive these last times.  The last message
that I received from him almost two years ago had the address jmacd AT
google DOT com.

The PRCS project is hosted at SourceForge (http://prcs.sf.net/) and
maintained in a CVS (!!!) repository.

-- 
Rafael



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Romain Francoise <rfrancoise@debian.org>:
Bug#293805; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Romain Francoise <rfrancoise@debian.org>. Full text and rfc822 format available.

Message #44 received at 293805@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@debian.org>
To: Romain Francoise <rfrancoise@debian.org>
Cc: Donovan Baarda <abo@minkirri.apana.org.au>, 293805@bugs.debian.org
Subject: Re: Bug#293805: O: prcs -- The Project Revision Control System
Date: Thu, 19 May 2005 16:27:09 +0200
* Romain Francoise <rfrancoise@debian.org> [2005-05-19 08:35]:

> Rafael Laboissiere <rafael@debian.org> writes:
> 
> > However, if nobody steps in, I am willing to fix critical problems in
> > the package by doing non-maintainer uploads.  I would though really
> > prefer that someone else volunteers as a new maintainer.
> 
> There seems to be interest in the package still, so it would be a bad
> move to remove it from Debian (which will happen eventually if no one
> adopts it) .  I maintain RCS, I can take PRCS along with it if you want,
> I don't use it myself but that shouldn't be too much of a problem.

Please, go ahead and adopt the package.  Thanks.
 
-- 
Rafael



Reply sent to Romain Francoise <rfrancoise@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Rafael Laboissiere <rafael@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #49 received at 293805-close@bugs.debian.org (full text, mbox):

From: Romain Francoise <rfrancoise@debian.org>
To: 293805-close@bugs.debian.org
Subject: Bug#293805: fixed in prcs 1.3.3-5
Date: Mon, 06 Jun 2005 15:48:05 -0400
Source: prcs
Source-Version: 1.3.3-5

We believe that the bug you reported is fixed in the latest version of
prcs, which is due to be installed in the Debian FTP archive:

prcs-el_1.3.3-5_all.deb
  to pool/main/p/prcs/prcs-el_1.3.3-5_all.deb
prcs-synch_1.3.3-5_all.deb
  to pool/main/p/prcs/prcs-synch_1.3.3-5_all.deb
prcs-utils_1.3.3-5_all.deb
  to pool/main/p/prcs/prcs-utils_1.3.3-5_all.deb
prcs-visualtree_1.3.3-5_all.deb
  to pool/main/p/prcs/prcs-visualtree_1.3.3-5_all.deb
prcs_1.3.3-5.diff.gz
  to pool/main/p/prcs/prcs_1.3.3-5.diff.gz
prcs_1.3.3-5.dsc
  to pool/main/p/prcs/prcs_1.3.3-5.dsc
prcs_1.3.3-5_i386.deb
  to pool/main/p/prcs/prcs_1.3.3-5_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 293805@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Romain Francoise <rfrancoise@debian.org> (supplier of updated prcs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon,  6 Jun 2005 21:09:01 +0200
Source: prcs
Binary: prcs-visualtree prcs-synch prcs prcs-el prcs-utils
Architecture: source all i386
Version: 1.3.3-5
Distribution: unstable
Urgency: low
Maintainer: Romain Francoise <rfrancoise@debian.org>
Changed-By: Romain Francoise <rfrancoise@debian.org>
Description: 
 prcs       - The Project Revision Control System
 prcs-el    - ELisp support for the Project Revision Control System
 prcs-synch - Synchronize PRCS projects between repositories
 prcs-utils - Utilities for PRCS
 prcs-visualtree - Visualize PRCS projects in a graph
Closes: 134047 149811 156588 159853 177879 204265 268350 272152 287958 293805 294074 294221
Changes: 
 prcs (1.3.3-5) unstable; urgency=low
 .
   * The "Stayin' alive, stayin' alive" release.
 .
   * New maintainer (closes: #293805).
   * debian/control: Update maintainer contact information.
 .
   * debian/prcs-el.emacsen-startup:
     + Use debian-pkg-add-load-path-item, don't special-case load-path
       modification for Emacs 19 which is long gone (closes: #272152).
     + Do nothing if the package has been removed but not purged.
     + Add source files to load-path.
 .
   * debian/patches/10_prcs-el_dirs.dpatch: New patch to prcs-hooks.el,
     wrap call to directory-files with condition-case to workaround a bug
     where opening files in executable but non readable directories
     signalled an error, many thanks to Aaron M. Ucko <ucko@debian.org>
     (closes: #294074).
 .
   * debian/patches/20_prcs-mv.dpatch: New patch, bring prcs-mv in sync
     with latest upstream (somewhat belatedly), patch submitted by Yann
     Dirson <dirson@debian.org> (closes: #204265).
 .
   * debian/patches/30_diff-N-corruption.dpatch: New patch, fixes a bug
     where calling 'prcs diff -N' on a project where files have been
     locally removed would completely wipe the PRCS project file...
     (closes: #159853).
 .
   * debian/patches/40_prcs_checkin.dpatch: New patch, initial checkins
     cannot be run with --no-action because PRCS needs the repository
     entry, clarify error message to make this more explicit in the command
     output (closes: #149811).
 .
   * debian/patches/50_prcserror_segv.dpatch: New patch, check pointer in
     prcserror.cc before dereferencing it to prevent a segmentation fault,
     this could happen in some cases when removing already deleted
     attributes from a project file during a merge (closes: #177879).
 .
   * debian/patches/60_prcs_empty-locks.dpatch: New patch, when trying to
     get a lock on the repository, ignore empty lock files instead of
     bailing out with the "Inconsistant lock information" message: empty
     lock files get created when the filesystem runs out of space at
     checkin time and we should just ignore them (closes: #156588).
 .
   * debian/patches/70_man_fixes.dpatch: New patch, fixes a few typos and
     spelling errors in man pages.
 .
   * debian/patches/50_g++-3.4.dpatch: Dropped (it doesn't actually fix the
     build with G++ 3.4).
   * debian/patches/80_build_fixes.dpatch: New patch:
     + (Conditionally) use new __gnu_cxx::stdio_filebuf prototype for g++
       versions newer than 3.3 (closes: #268350).
     + Change hash.cc to cast to long instead of int, for lack of a better
       fix (closes: #287958).
     + Drop erroneous fdopen change from the previous patch (closes: #294221).
 .
   * debian/patches/90_prcs-synch_misc.dpatch: New patch to prcs-synch:
     + Change the doc to say 'prcs-synch' instead of 'synch' when referring
       to the script since it's how it's called in Debian.
     + Apply a patch from "R. Church" <rc@ghostbitch.org> to fix
       repository sync failures over SSH (closes: #134047).
 .
   * debian/patches/00list: Update.
   * debian/control: Update build dependency on dpatch to >= 2.0.9 for the
     new style patches.
Files: 
 05b74ef0dd7a6bed1949943c1774502c 684 devel optional prcs_1.3.3-5.dsc
 17480e149d9a65a0c77bc19a443863e4 31579 devel optional prcs_1.3.3-5.diff.gz
 75a26c23316f534066052f1790b853c5 52026 devel optional prcs-el_1.3.3-5_all.deb
 77d1848abc6051a5ccf1b0c0df199a8d 32984 devel optional prcs-synch_1.3.3-5_all.deb
 5b1ec3a0feb196244e0bd8fa585c2ccc 16552 devel optional prcs-visualtree_1.3.3-5_all.deb
 3a47186648357b28a3eff46c144a9c17 48302 devel optional prcs-utils_1.3.3-5_all.deb
 7bd0f1adba272352a99c2d55e4e8e8fa 389292 devel optional prcs_1.3.3-5_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFCpKNjogN2vsA8Vt8RAvNQAJ9sUVV4xLiH6HIMZxh4G4+79ca1AACdGaI+
Yk0oAPsfnK21Uy8xBQg1RDE=
=3XV5
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:18:58 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.